## algotutor 0.8.6

=== Makefile ===
SRCDIR = ~/active/algotutor
DOCDIR = ~/public_html/p/algotutor
DSTDIR = ~/algotutor
PODSRC = algotutor gen_at_graph

# DATADIR=/usr/share/algotutor/data
# BINDIR=/usr/bin
DATADIR = ./data
BINDIR = .
# .deb and .rpm packagers please note: Please run 
# make test DATADIR=/usr/share/algotutor/data BINDIR=/usr/bin
# or something the like after installing your algotutor package
# so as to make sure that most algorithms run correctly.

dist:	test
	rm red-black-tree.ps
	rm -rf $(DSTDIR)
	cp -LpR . $(DSTDIR)
	for f in $(PODSRC) ; do pod2html $$f > $(DOCDIR)/$$f.shtml ; done ; rm -f *.tmp *.x~~
	cp -LpR $(DOCDIR) $(DSTDIR)/doc
	(cd $(DSTDIR); for f in $(PODSRC) ; do pod2man $$f > doc/$$f.1 ; done ; rm -f *.tmp *.x~~)

test:
	$(BINDIR)/algotutor -a rbt -i 75 -d red-black-tree.ps $(DATADIR)/countries.gr
	$(BINDIR)/algotutor -a graham $(DATADIR)/pts1.gr
	$(BINDIR)/algotutor -a dom $(DATADIR)/pts1.gr
	$(BINDIR)/algotutor -a heap $(DATADIR)/countries.gr
	$(BINDIR)/algotutor -a bst $(DATADIR)/countries.gr
	$(BINDIR)/algotutor -a rbt $(DATADIR)/countries.gr
	$(BINDIR)/algotutor -a sbs $(DATADIR)/trc.gr
	$(BINDIR)/algotutor -a prim $(DATADIR)/randgrid.gr
	$(BINDIR)/algotutor -a dijk $(DATADIR)/tt.gr
	$(BINDIR)/algotutor -a flwa $(DATADIR)/lv.gr
	$(BINDIR)/algotutor -a lcs AGCTATACGATGACT GTCAGTATAGTCATATG
	$(BINDIR)/algotutor -a matc 32 A 35 B 24 C 30 D 36 E 25 F 40 G 34 H 35

=== debian/changelog ===
algotutor (0.8.6-6) unstable; urgency=medium

  * fixed the national encodong in some files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 12 Apr 2022 18:47:47 +0200

algotutor (0.8.6-5) unstable; urgency=medium

  * bumped Standards-Version: 4.6.0.2
  * changed Vcs-Browser: https://salsa.debian.org/georgesk/algotutor
    (removed the wront .git suffix)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Mar 2022 15:10:55 +0100

algotutor (0.8.6-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.

  [ Georges Khaznadar ]
  * bumped Standards-Version: 4.5.1, debhelper-compat (= 13)
  * replaced priority extra by priority optional

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Nov 2020 18:39:50 +0100

algotutor (0.8.6-3) unstable; urgency=medium

  * this revision is just to make a source upload

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2019 17:05:15 +0200

algotutor (0.8.6-2) unstable; urgency=medium

  * updated my DEBEMAIL
  * upgraded Standards-Version to 4.1.3 ad dh to 10
  * updated the field Homepage in d/control
  * added Vcs fields

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 19 Feb 2018 11:36:50 +0100

algotutor (0.8.6-1) unstable; urgency=low

  * Initial release (Closes: #593122)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 18:06:14 +0200

=== debian/control ===
Source: algotutor
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.2
Vcs-Browser: https://salsa.debian.org/georgesk/algotutor
Vcs-Git: https://salsa.debian.org/georgesk/algotutor.git
Homepage: http://www.cyut.edu.tw/~ckhung/p/algotutor/


Package: algotutor
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, perl-tk
Description: program for observing the intermediate steps of algorithm
 algotutor is an interactive program for observing the intermediate
 steps of algorithms ("algorithm animation"). The target audience is
 computer science students and/or anyone who studies algorithms and/or
 data structures. One can create data files in plain text format
 (actually perl anonymous hashes, but one need not care) and let
 algotutor runs through some predefined algorithm. Then one can step
 backward and forward through the execution sequence of the algorithm
 at different levels of details.
